%global __python %{__python3}
%global tag     1.3.275.0
%global gittag  %(cut -b -7 <<< %{tag})

Name:           vulkan-tools
Version:        %{tag}
Release:        1%{?dist}
Summary:        Vulkan tools

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        %url/archive/v%{gittag}.tar.gz#/Vulkan-Tools-%{gittag}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  glslang
BuildRequires:  ninja-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  vulkan-loader-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xcb)

Provides:       vulkan-demos%{?_isa} = %{version}-%{release}
Obsoletes:      vulkan-demos < %{version}-%{release}


%description
Vulkan tools


%prep
%autosetup -p1 -n Vulkan-Tools-%{gittag}

%build
%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release -DUPDATE_DEPS:BOOL=ON
%cmake3_build

%install
%cmake3_install


%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%{_bindir}/*


%changelog
* Sun Jan 14 2024 Bluestang <bluestang2006@gmail.com> - 1.3.275.0-1
- Update to 1.3.275 upstream

* Sun Aug 13 2023 Bluestang <bluestang2006@gmail.com> - 1.3.261.0-1
- Update to 1.3.261 upstream

* Thu Aug 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.260.0-1
- Update to 1.3.260 upstream

* Wed May 31 2023 Bluestang <bluestang2006@gmail.com> - 1.3.251.0-1
- Update to 1.3.251 upstream

* Sat May 06 2023 Bluestang <bluestang2006@gmail.com> - 1.3.250.0-1
- Update to 1.3.250 upstream

* Mon Apr 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.246.0-1
- Update to 1.3.246 upstream

* Fri Mar 24 2023 Bluestang <bluestang2006@gmail.com> - 1.3.245.0-1
- Update to 1.3.245 upstream

* Fri Mar 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.242.0-1
- Update to 1.3.242 upstream

* Fri Jan 27 2023 Bluestang <bluestang2006@gmail.com> - 1.3.240.0-1
- Update to 1.3.240 upstream

* Mon Dec 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.238.0-1
- Update to 1.3.238 upstream

* Fri Nov 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.235.0-1
- Update to 1.3.235 upstream

* Sun Nov 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.234.0-1
- Update to 1.3.234 upstream

* Sat Nov 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.233.0-1
- Update to 1.3.233 upstream

* Thu Sep 29 2022 Bluestang <bluestang2006@gmail.com> - 1.3.230.0-1
- Update to 1.3.230 upstream

* Thu Sep 15 2022 Bluestang <bluestang2006@gmail.com> - 1.3.228.0-1
- Update to 1.3.228 upstream

* Mon Sep 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.226.0-1
- Update to 1.3.226 upstream

* Sun Aug 28 2022 Bluestang <bluestang2006@gmail.com> - 1.3.225.0-1
- Update to 1.3.225 upstream

* Sat Aug 06 2022 Bluestang <bluestang2006@gmail.com> - 1.3.224.0-1
- Update to 1.3.224 upstream

* Mon Jul 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.221.0-1
- Update to 1.3.221 upstream

* Fri Jul 01 2022 Bluestang <bluestang2006@gmail.com> - 1.3.219.0-1
- Update to 1.3.219 upstream

* Fri Jun 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.218.0-1
- Update to 1.3.218 upstream

* Sun Jun 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.216.0-1
- Update to 1.3.216 upstream

* Mon May 30 2022 Bluestang <bluestang2006@gmail.com> - 1.3.215.0-1
- Update to 1.3.215 upstream

* Tue May 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.214.0-1
- Update to 1.3.214 upstream

* Tue Apr 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.211.0-1
- Update to 1.3.211 upstream

* Sat Apr 02 2022 Bluestang <bluestang2006@gmail.com> - 1.3.210.0-1
- Update to 1.3.210 upstream

* Sun Mar 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.207.0-1
- Update to 1.3.207 upstream
- Drop Patch1:vkcube-wayland.patch - Add install target for /usr/bin/vkcube-wayland - https://github.com/KhronosGroup/Vulkan-Tools/pull/624 (merged)

* Sat Feb 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.206.0-1
- Update to 1.3.206 upstream

* Tue Feb 08 2022 Bluestang <bluestang2006@gmail.com> - 1.3.205.0-2
- Add install target for /usr/bin/vkcube-wayland

* Tue Feb 08 2022 Bluestang <bluestang2006@gmail.com> - 1.3.205.0-1
- Update to 1.3.205 upstream

* Wed Jan 26 2022 Bluestang <bluestang2006@gmail.com> - 1.3.204-1
- Update to 1.3.204 upstream

* Thu Dec 23 2021 Bluestang <bluestang2006@gmail.com> - 1.2.202-1
- Update to 1.2.202 upstream
